<?php
//  ------------------------------------------------------------------------ //
//                XOOPS - PHP Content Management System                      //
//                    Copyright (c) 2000 XOOPS.org                           //
//                       <http://www.xoops.org/>                             //
//  ------------------------------------------------------------------------ //
//  This program is free software; you can redistribute it and/or modify     //
//  it under the terms of the GNU General Public License as published by     //
//  the Free Software Foundation; either version 2 of the License, or        //
//  (at your option) any later version.                                      //
//                                                                           //
//  You may not change or alter any portion of this comment or credits       //
//  of supporting developers from this source code or any supporting         //
//  source code which is considered copyrighted (c) material of the          //
//  original comment or credit authors.                                      //
//                                                                           //
//  This program is distributed in the hope that it will be useful,          //
//  but WITHOUT ANY WARRANTY; without even the implied warranty of           //
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the            //
//  GNU General Public License for more details.                             //
//                                                                           //
//  You should have received a copy of the GNU General Public License        //
//  along with this program; if not, write to the Free Software              //
//  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA //
//  ------------------------------------------------------------------------ //
//                   This module; Copyright (c) 2005 suin                    //
//                          <http://www.suin.jp>                             //
//  ------------------------------------------------------------------------ //

if( ! defined( 'XOOPS_ROOT_PATH' ) ) exit ;
$mydirname = basename( dirname( __FILE__ ) ) ;
$mypath = XOOPS_ROOT_PATH . '/modules/' . $mydirname ;

// Main
$modversion['name'] 	   = _MI_2KH_NAME;
$modversion['version']	   = 1.0;
$modversion['description'] = _MI_2KH_DESC;
$modversion['credits']	   = "suin";
$modversion['author']	   = "suin <a href=\"http://www.suin.jp/\" target=\"_blank\">www.suin.jp</a>";
$modversion['help']	   = "ReadMe-Japanese.html";
$modversion['license']	   = "GPL see LICENSE";
$modversion['official']	   = 0;
$modversion['image']	   = "images/2kh_logo.png";
$modversion['dirname']	   = $mydirname;

// Menu
$modversion['hasMain']	   = 1;

// Sub Menu
$s = 0;
global $xoopsUser;
if( is_object( $xoopsUser ) ){
	require_once( $mypath. '/class/2kh_user.php' );
	$tkh_user = new TkwUsers($xoopsUser->getVar('uid'));
	
	$modversion['sub'][$s]['name'] = _MI_2KH_SUB1;
	$modversion['sub'][$s]['url']  = "application.php";
	$s++;
	if( $tkh_user->isExists() ){
		$modversion['sub'][$s]['name'] = _MI_2KH_SUB2;
		$modversion['sub'][$s]['url']  = "records.php?uid=".$xoopsUser->getVar('uid');
		$s++;
	}
}

// Admin
$modversion['hasAdmin']	   = 1;
$modversion['adminindex']  = "admin/index.php";
$modversion['adminmenu']   = "admin/menu.php";

// Search
$modversion['hasSearch']      = 0;

// Sql
$modversion['sqlfile']['mysql'] = "sql/mysql.sql";

// Tables
$modversion['tables'][0] = "2kh_log";
$modversion['tables'][1] = "2kh_users";
$modversion['tables'][2] = "2kh_comment";

// Templates
$t=1;
$modversion['templates'][$t]['file']        = '2kh_footer.html';
$modversion['templates'][$t]['description'] = '';
$t++;
$modversion['templates'][$t]['file']        = '2kh_index.html';
$modversion['templates'][$t]['description'] = _MI_2KH_TPL_DESC1;
$t++;
$modversion['templates'][$t]['file']        = '2kh_confirm.html';
$modversion['templates'][$t]['description'] = _MI_2KH_TPL_DESC2;
$t++;
$modversion['templates'][$t]['file']        = '2kh_user.html';
$modversion['templates'][$t]['description'] = _MI_2KH_TPL_DESC3;
$t++;

// Smarty
$modversion['use_smarty'] = 1;

// Blocks
/*
$b=1;
$modversion['blocks'][$b]['file']	 = "suiu_block.php";
$modversion['blocks'][$b]['name']	 = _MI_BLOCK1;
$modversion['blocks'][$b]['description'] = _MI_BLOCK_D1;
$modversion['blocks'][$b]['show_func']	 = "b_suiu_block";
$modversion['blocks'][$b]['edit_func']   = "b_theme_select_edit";
$modversion['blocks'][$b]['template']	 = "suin_block.html";
$modversion['blocks'][$b]['options']     = "3|1|0|80";
$b++;
*/

// Configs
// * formtype  -> textbox / textarea / select / select_multi / yesno / group / group_multi
// * valuetype -> int / text / float / array / other
$c=1;				       //= "*************************";
$modversion['config'][$c]['name'] 	 = "2kh_goal";
$modversion['config'][$c]['title']	 = "_MI_2KH_CONFIG4";
$modversion['config'][$c]['description'] = "_MI_2KH_CONFIG_D4";
$modversion['config'][$c]['formtype']    = "textbox";
$modversion['config'][$c]['valuetype']   = "int";
$modversion['config'][$c]['default']     = 2000;
$c++;
$modversion['config'][$c]['name'] 	 = "2kh_records_user_page";
$modversion['config'][$c]['title']	 = "_MI_2KH_CONFIG1";
$modversion['config'][$c]['description'] = "_MI_2KH_CONFIG_D1";
$modversion['config'][$c]['formtype']    = "textbox";
$modversion['config'][$c]['valuetype']   = "int";
$modversion['config'][$c]['default']     = 15;
$c++;
$modversion['config'][$c]['name'] 	 = "2kh_records_recent_page";
$modversion['config'][$c]['title']	 = "_MI_2KH_CONFIG2";
$modversion['config'][$c]['description'] = "_MI_2KH_CONFIG_D2";
$modversion['config'][$c]['formtype']    = "textbox";
$modversion['config'][$c]['valuetype']   = "int";
$modversion['config'][$c]['default']     = 20;
$c++;
$modversion['config'][$c]['name'] 	 = "2kh_date_format";
$modversion['config'][$c]['title']	 = "_MI_2KH_CONFIG3";
$modversion['config'][$c]['description'] = "_MI_2KH_CONFIG_D3";
$modversion['config'][$c]['formtype']    = "textbox";
$modversion['config'][$c]['valuetype']   = "text";
$modversion['config'][$c]['default']     = _MI_2KH_CONFIG_F3;
$c++;

// On Install
//$modversion['onInstall']   = "install.php";

// onUpdate
//if( ! empty( $_POST['fct'] ) && ! empty( $_POST['op'] ) && $_POST['fct'] == 'modulesadmin' && $_POST['op'] == 'update_ok' && $_POST['dirname'] == $modversion['dirname'] ) {
//	include( XOOPS_ROOT_PATH. "/modules/" .$mydirname . "/include/onupdate.inc.php" );
//}


?>